import request from "@/utils/request";

/**
 * 互联网最近提交(未筛选)20条动态
 * @param {*} data
 */
export function onlineLatelySubmit(data) {
  return request({
    url: "/msg/prompt/onlineLatelySubmit",
    method: "post",
    data: data,
  });
}

/**
 * 全网近一周信访事项提交动态
 * @param {*} data
 */
export function matterLatelySubmit(data) {
  return request({
    url: "/msg/prompt/matterLatelySubmit",
    method: "post",
    data: data,
  });
}

/**
 * 全年 市辖各县 分别登记数量
 * @param {
 *   deptID
 * } data
 */
export function regionCount(data) {
  return request({
    url: "/msg/prompt/regionCount",
    method: "post",
    data: data,
  });
}

/**
 * 全年4种信访类型 每月未完成数量
 * @param {*} data
 */
export function unfinishedMatter(data) {
  return request({
    url: "/msg/prompt/unfinishedMatter",
    method: "post",
    data: data,
  });
}

/**
 * 各形式信访数量
 * @param {*} data
 */
export function typeMatterCount(data) {
  return request({
    url: "/msg/prompt/typeMatterCount",
    method: "post",
    data: data,
  });
}

/**
 * 月度处理数量趋势
 * @param {*} data
 */
export function monthDealMatterCount(data) {
  return request({
    url: "/msg/prompt/monthMatterCount",
    method: "post",
    data: data,
  });
}

/**
 * 各市辖区本月处理事件统计
 * @param {*} data
 */
export function regionMonth(data) {
  return request({
    url: "/msg/prompt/regionMonth",
    method: "post",
    data: data,
  });
}
