import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";

import "normalize.css/normalize.css";
import "@/styles/index.scss";

import dataV from "@jiaminghi/data-view";

import ECharts from "vue-echarts";
import "echarts-gl";
import echarts from "echarts/lib/echarts";

Vue.use(dataV);
Vue.use(ElementUI);
Vue.component("v-chart", ECharts);

Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount("#app");
