import axios from "axios";
import { MessageBox, Message } from "element-ui";

const service = axios.create({
  baseURL: process.env.VUE_APP_BASE_API,
  withCredentials: false,
  timeout: 20000,
});

service.interceptors.request.use(
  (config) => {
    return config;
  },
  (error) => {
    // do something with request error
    console.log(error); // for debug

    return Promise.reject(error);
  }
);

service.interceptors.response.use((response) => {
  const res = response.data;
  if (res.errno != 0) {
    //出错

    Message({
      message: res.errmsg || res.msg || "error",
      type: "error",
      duration: 3 * 1000,
    });
    return Promise.reject(res.errmsg || "error");
  } else {
    return res;
  }
});

export default service;
